Bug 447461 (CVE-2008-1948) - CVE-2008-1948 GNUTLS-SA-2008-1-1 GnuTLS buffer overflow
Summary: CVE-2008-1948 GNUTLS-SA-2008-1-1 GnuTLS buffer overflow
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2008-1948
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 447467 447468 447469 447470 447509 447510 447511 447512 805150
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-19 23:47 UTC by Josh Bressers
Modified: 2019-09-29 12:24 UTC (History)
3 users (show)

Fixed In Version: 2.0.4-3.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-26 06:00:35 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0489 0 normal SHIPPED_LIVE Critical: gnutls security update 2008-05-20 14:48:29 UTC
Red Hat Product Errata RHSA-2008:0492 0 normal SHIPPED_LIVE Important: gnutls security update 2008-05-20 14:57:35 UTC

Description Josh Bressers 2008-05-19 23:47:18 UTC
The crash can be triggered remotely before authentication, which can
lead to a Daniel of Service attack to disable the server.  The bug
cause gnutls to store more session resumption data than what was
allocated for, thus overwriting unallocated memory.

Comment 4 Fedora Update System 2008-05-20 12:28:59 UTC
gnutls-2.0.4-3.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-05-20 12:29:51 UTC
gnutls-1.6.3-3.fc7 has been submitted as an update for Fedora 7

Comment 6 Fedora Update System 2008-05-20 12:30:14 UTC
gnutls-1.6.3-3.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-05-21 10:57:02 UTC
gnutls-1.6.3-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-05-21 11:05:11 UTC
gnutls-2.0.4-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-05-21 11:07:51 UTC
gnutls-1.6.3-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-07-26 06:00:25 UTC
gnutls-2.0.4-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.